# C_socket_api

Одна из возможных реализация API на С для получения и отправки команд в виде строк.
Сервер на С, клиент как на С, так и на Python.

# Как пользоваться?
В репо представлены 2 части как в виде библиотек, так и пример использования.


### Серверная часть
- api.h: библиотека с функциями
- api.c: пример сервера
### Клиентская часть
- client_api.h: библиотека для клиента
- main.c: пример клиента
- main.py: пример клиента на Python (как альтернатива)

ЖЕЛАТЕЛЬНО задать другой порт в файлах .h в строчке `#define PORT 8080`

# Методы
## api.h
- void start_api(void** thread_handle)
  - Запуск серверного API в потоке (обязательно)
- stop_api(void** thread_handle)
  - Остановка API
- char* get_command()
  - Получение команды с сервера
- void send_reply(char* reply) 
  - Отправление ответа на команду (желательно)
- bool cmp(char* reply, char* command)
  - сравнение 2 строк-массивов (вынесено для удобства)
## client_api.h
- char* send_command(char* command)
  - Отправка команды и получение ответа
- bool cmp(char* reply, char* command)
  - сравнение 2 строк-массивов (вынесено для удобства)